"
I model the interface between a CodiMD (https://demo.codimd.org) documentation 
server and Grafoscopio.
I enable the interaction between Grafoscopio notebooks and CodiMD documents,
so one document can start online (as a CodiMD pad) and continue as a Grafoscopio 
notebook or viceversa.
"
Class {
	#name : #CodiMD,
	#superclass : #Object,
	#instVars : [
		'server',
		'pad'
	],
	#category : #'Grafoscopio-Utils'
}

{ #category : #'as yet unclassified' }
CodiMD class >> newDefault [
	^ self new
		defaultServer.
]

{ #category : #'as yet unclassified' }
CodiMD >> defaultServer [
	self server: 'https://docutopia.tupale.co'.
]

{ #category : #accessing }
CodiMD >> pad [
	^ pad
]

{ #category : #accessing }
CodiMD >> pad: anObject [
	pad := anObject
]

{ #category : #accessing }
CodiMD >> server [
	^ server
]

{ #category : #accessing }
CodiMD >> server: aUrlString [
	server := aUrlString
]

{ #category : #visiting }
CodiMD >> visit [
	WebBrowser openOn: self server, '/', self pad.
]
