"
A GrafoscopioDocumentationTest is a test class for testing the behavior of GrafoscopioDocumentation
"
Class {
	#name : #GrafoscopioDocumentationTest,
	#superclass : #TestCase,
	#category : #'Grafoscopio-Utils-Tests'
}

{ #category : #'tests-utility' }
GrafoscopioDocumentationTest >> defaultTestRepo [
	"I create a default documentation repository, that is used for several test."

	| testRepo |
	testRepo := GrafoscopioDocumentation new.
	testRepo repository: (FossilRepo new remote: 'http://mutabit.com/repos.fossil/grafoscopio');
		localPlace: FileLocator temp asFileReference /'Grafoscopio';
		name: 'test Repo'.
	testRepo 
		addDocument: 'Docs/Es/Tutoriales/tutorial.ston';
		addDocument: 'Docs/En/Books/Manual/manual.ston';
		addDocument: 'Docs/En/Books/DataActivism/techniques-for-datactivism.ston'.
		^ testRepo 
]
