"
I define the documentation for the Dataviz package.
"
Class {
	#name : #DatavizDocs,
	#superclass : #GrafoscopioDocumentation,
	#category : #Dataviz
}

{ #category : #initialization }
DatavizDocs >> initialize [
	super initialize.
	
	name := 'dataviz'. 
	repository := (FossilRepo new remote: 'http://mutabit.com/repos.fossil/grafoscopio').
	localPlace := FileLocator workingDirectory asFileReference /'Grafoscopio'.
	self documents 
		add: 'Packages/Dataviz/dataviz.ston'.
]

{ #category : #operation }
DatavizDocs >> openIntroNotebook [
	"I'm just an alias to ease the operation. I need to know wich is the index of the notebook
	I want to open, as defined on initialize method"
	self openNotebookAt: 1.
]
