"
I store metadata for this package. These meta data are used by other tools such as the SmalllintManifestChecker and the critics Browser
"
Class {
	#name : #ManifestDataviz,
	#superclass : #PackageManifest,
	#category : #Dataviz
}

{ #category : #'code-critics' }
ManifestDataviz class >> ruleRBCollectionMessagesToExternalObjectRuleV1FalsePositive [
	^ #(#(#(#RGMethodDefinition #(#'DatavizUtils class' #defineDocumentation #true)) #'2017-07-04T14:43:28.224565-05:00') )
]

{ #category : #'code-critics' }
ManifestDataviz class >> ruleRBCollectionProtocolRuleV1FalsePositive [
	^ #(#(#(#RGMethodDefinition #(#'PanamaPapers class' #colorfulWorldMap #true)) #'2016-04-27T15:26:43.983557-05:00') #(#(#RGMethodDefinition #(#'PanamaPapers class' #choroplethWorldMap #true)) #'2016-04-28T14:44:05.895182-05:00') )
]

{ #category : #'code-critics' }
ManifestDataviz class >> ruleRBPrecedenceRuleV1FalsePositive [
	^ #(#(#(#RGMethodDefinition #(#TRArcShape #surroundedBy:radialGap:angularGap:renderedIn: #false)) #'2016-07-30T15:45:56.472232-05:00') )
]

{ #category : #'code-critics' }
ManifestDataviz class >> ruleRBSentNotImplementedRuleV1FalsePositive [
	^ #(#(#(#RGClassDefinition #(#PublishedMedInfo)) #'2015-12-06T12:21:46.001583-05:00') )
]

{ #category : #'code-critics' }
ManifestDataviz class >> ruleRBStringConcatenationRuleV1FalsePositive [
	^ #(#(#(#RGMethodDefinition #(#'PanamaPapers class' #unmappedTerritories #true)) #'2016-04-26T14:51:29.568883-05:00') )
]

{ #category : #'code-critics' }
ManifestDataviz class >> ruleRBUnclassifiedMethodsRuleV1FalsePositive [
	^ #(#(#(#RGClassDefinition #(#MedAgency)) #'2015-12-17T23:52:38.455558-05:00') )
]

{ #category : #'code-critics' }
ManifestDataviz class >> ruleRTInvocationSequenceRuleV1FalsePositive [
	^ #(#(#(#RGMethodDefinition #(#TwitterProfileOverview #renderIn: #false)) #'2016-06-21T12:50:53.810131-05:00') )
]
